---
title: Jazyk Python
---
# Jazyk Python

Vhodný na spracovanie prirodzeného jazyka


## Ako začať s Pythonom

Prečítajte si 

https://diveintopython3.net/

http://diveintopython3.py.cz/index.html

https://jakevdp.github.io/PythonDataScienceHandbook/

## Vývojové prostredie Anaconda

Nainštalujte si prostedie [anaconda](https://www.anaconda.com/). 

Stiahnite si [inštalátor](https://docs.conda.io/en/latest/miniconda.html).

Na systéme Linux si Anacondu stiahnete aj nainštalujete jedným príkazom:

```
curl -s    https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh | bash
```

[Anaconda manuál](https://docs.conda.io/projects/conda/en/latest/user-guide/getting-started.html)


Vytvorenie nového virtuálneho prostredia anaconda:

```
conda create --name mojeprostredie
```

Aktiácia virtuálneho prostredia Anaconda:

```
conda activate mojeprostredie
```

[Ťahák Anaconda](https://docs.conda.io/projects/conda/en/4.6.0/_downloads/52a95608c49671267e40c689e0bc00ca/conda-cheatsheet.pdf)


## Virtualenv


Práca s virtuálnymi prostrediami Python


Virtuálne prostredie je vhodné keď pre určitý porjket potrebujete inštalovať balíčky tak a by nevytvárali konflikty
a zároveň nepotrebujete prostredie Anaconda.


Vytvorí nové virtuálne prostredie:

```
python -m virtualenv ./venv
```

Aktivuje virtuálne prostredie:

```
source ./venv/bin/activate
```

Inštaluje balíčky do virtuálneho prostredia:
```
pip install ...
```

Vypne virtuálne prostredie:

```
deactivate
```

Vymazanie virtuálneho prostredia

```
rm -r venv
```


