# Question Answering

## Implementácie

- https://github.com/facebookresearch/DrQA
- https://github.com/brmson/yodaqa
- https://github.com/5hirish/adam_qas

## Bibliografia

- Reading Wikipedia to Answer Open-Domain Questions, Danqi Chen, Adam Fisch, Jason Weston, Antoine Bordes
Facebook Research
- SQuAD: 100,000+ Questions for Machine Comprehension of Text https://arxiv.org/abs/1606.05250


## Dáta

- Squad TheStanfordQuestionAnsweringDataset(SQuAD)  (Rajpurkar  et  al.,  2016) 
- WebQuestions
- https://en.wikipedia.org/wiki/Freebase


## Príprava dátovej množiny

1. Získanie a parsovanie Wiki Dump
2. Výber vhodných paragrafov (1. paragraf?)

Zoznam 75 najlepších článkov https://sk.wikipedia.org/wiki/Wikip%C3%A9dia:Zoznam_najlep%C5%A1%C3%ADch_%C4%8Dl%C3%A1nkov
Zoznam 167 dobrých článkov
https://sk.wikipedia.org/wiki/Wikip%C3%A9dia:Zoznam_dobr%C3%BDch_%C4%8Dl%C3%A1nkov 
Wikipedia: vedeli ste že? (facts) https://sk.wikipedia.org/wiki/Wikip%C3%A9dia:Zauj%C3%ADmavosti

## Príprava crowdsourcing systému

? Bootstrapping slovenského Spacy Modelu
Deployment web aplikácie
Setup anotačnej úlohy 1, 2, 3
Databáza anotátorov pre evidenciu pracovných výstupov
Príprava manuálu pre anotátorov

Aplikácia pre vyhodnotenie výsledkov anotácie - kto anotoval koľko, koľko je anotované spolu

### Anotácia

Vytvorenie otázky k paragrafu
Vyznačenie odpovede na otázku v paragrafe
Vyznačenie pomenovaných entít?
