---
title: Spacy
---
# Podpora slovenčiny v knižnici Spacy
[Trénovanie modelov Spacy](https://spacy.io/usage/training)

## Úlohy

- Vytvoriť modul v jazyku Python  pre podporu slovenčiny
- Pripraviť trénovacie dáta pomocu frameworku [Prodigy](/topics/prodigy).
- Natrénovať štatistické modely:
   - pre morfologickú analýzu 
   - rozpoznávanie pomenovaných entít

## Repozitár

- https://git.kemt.fei.tuke.sk/jo673fv/sk-spacy (slovenské stop words a pravidlá)
- https://git.kemt.fei.tuke.sk/dano/spacy-skmodel (slovenské NER a POS, vychádza s oficiálneho modelu, obsahuje niektoré dátové zdroje)
- https://files.kemt.fei.tuke.sk/minio/models/spacy/ Hotové spacy modely

## Ľudia

- [Maroš Harahus](../../../../students/2016/maros_harahus) (štatistické značkovanie)
- Jozef Olekšák
- [Lukáš Pokrývka](/students/2016/lukas_pokryvka) (Word Embedding Modely)